%define upstream_name    Complete-Util
%define upstream_version 0.38

%{?perl_default_filter}
%global __requires_exclude_from %{?__requires_exclude_from:%__requires_exclude_from|}^%{_docdir}
%global __requires_exclude perl\\(this\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4
Summary:    General completion routines
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Complete/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Complete::Path)
BuildRequires: perl(File::Slurp::Tiny)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::chdir)
BuildRequires: perl(Filesys::Cap)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Rinci)
BuildRequires: perl(Test::More)
BuildArch: noarch

%global __requires_exclude  %{?__requires_exclude}|^perl\\(case-insensitive\\)

%description
General completion routines.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make


%install
%make_install

%files
%doc META.json LICENSE Changes META.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*




%changelog
* Tue Jul 11 2017 bb2 <bb2> - 0.380.0-4pclos2017
- rebuild against updates

